Question about version and language support

+1
0
-1

I have installed Drupal version 7.43. Does this version of theme ( 7.x-1.5) work and support in my installation.
Another question is if this theme is supported in my language (Albania-Shqip) ?
Thank you !

+1
0
-1

Hi shkence,

TB University works well with Drupal 7.43, and this theme does support the Albanian language.

Regards,
Anna from ThemeBrain